if vim.g.did_load_catppuccin_plugin then
  return
end
vim.g.did_load_catppuccin_plugin = true

require("catppuccin").setup({
  integrations = {
    aerial = true,
    cmp = true,
    diffview = true,
    gitsigns = true,
    indent_blankline = {
      enabled = true,
      -- scope_color = "", -- catppuccin color (eg. `lavender`) Default: text
      colored_indent_levels = false,
    },
    lsp_trouble = true,
    navic = {
      enabled = false,
      custom_bg = "NONE", -- "lualine" will set background to mantle
    },
    nvim_surround = true,
    overseer = true,
    treesitter = true,
    which_key = true,
  }
})
